
Infrastructure - Bug #3408

Review Hazelcast Executor Service error

2012-11-26 23:52 - Robert Waltz

Status: Closed Start date: 2012-11-26

Priority: Normal Due date: 2013-01-19

Assignee: Robert Waltz % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: 2013.2-Block.1.1   

Milestone: CCI-1.1.1 Story Points:  

Product Version: *   

Description

ERROR] 2012-11-26 20:27:55,159 (MemberNodeHarvestJob:execute:105) ExecutionException:

com.hazelcast.core.OperationTimeoutException: [BLOCKING_SIZE] Redo threshold[90] exceeded! Last redo cause:

REDO_QUEUE_NOT_READY, Name: q:hzSyncObjectQueue

Received this error after multiple Job failures on MemberNodes that were not responding

History

#1 - 2012-12-04 14:06 - Robert Waltz

- Status changed from New to Closed

Unable to determine root cause due to lack of debugging information. Messages began after a an instance disconnected from the cluster and never

appeared to reconnect. Seems to be due to inability of executor service to redirect execution to a connected node.

#2 - 2013-01-08 18:19 - Robert Waltz

- Due date changed from 2012-12-01 to 2013-01-19

- Target version changed from Sprint-2012.46-Block.6.3 to 2013.2-Block.1.1

- Milestone changed from CCI-1.1 to CCI-1.1.1
